Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.jena
Class JenaKnowledgeBaseFactory

    java.lang.Object
      edu.stanford.smi.protegex.owl.jena.JenaKnowledgeBaseFactory

All Implemented Interfaces:
  edu.stanford.smi.protege.model.KnowledgeBaseFactory, OWLKnowledgeBaseFactory

    public class JenaKnowledgeBaseFactory

extends Object
implements OWLKnowledgeBaseFactory

A backend for OWL based on the Jena2 API.

Author:
  Holger Knublauch

Field Summary
`static String[]` | `fileLanguages`
`static String` | `JENA_SYNCHRONIZED`
`static String` | `OWL_FILE_LANGUAGE_PROPERTY`
`static String` | `OWL_FILE_URI_PROPERTY`
`static boolean` | `useStandalone` A global flag that is used to select the default .pprj file for new project.

Fields inherited from interface edu.stanford.smi.protege.model.KnowledgeBaseFactory
`FACTORY_CLASS_NAME`

Constructor Summary
`JenaKnowledgeBaseFactory()`

Method Summary
`static void` | `addRepository(Repository repository)`
`static void` | `clearRepositories()`
`edu.stanford.smi.protege.model.KnowledgeBase` | `createKnowledgeBase(Collection errors)`
`edu.stanford.smi.protege.model.KnowledgeBaseSourcesEditor` | `createKnowledgeBaseSourcesEditor(String projectURIString, edu.stanford.smi.protege.util.PropertyList sources)`
`String` | `getDescription()`
`static String` | `getExtension(String language)`
`protected URI` | `getFileURI(edu.stanford.smi.protege.util.PropertyList sources, edu.stanford.smi.protege.model.Project project)`
`protected static String` | `getOWLFileLanguage(edu.stanford.smi.protege.util.PropertyList sources)`
`static String` | `getOWLFileName(edu.stanford.smi.protege.util.PropertyList sources)`
`static String` | `getOWLFilePath(edu.stanford.smi.protege.util.PropertyList sources)`
`String` | `getProjectFilePath()`
`static Collection<Repository>` | `getRepositories()`
`protected void` | `handleException(Throwable t, JenaOWLModel owlModel, URI absoluteURI, Collection<edu.stanford.smi.protege.util.MessageError> errors)`
`void` | `includeKnowledgeBase(edu.stanford.smi.protege.model.KnowledgeBase kb, edu.stanford.smi.protege.util.PropertyList sources, Collection errors)`
`boolean` | `isComplete(edu.stanford.smi.protege.util.PropertyList sources)`
`static boolean` | `isMergingImportMode()`
`void` | `loadKnowledgeBase(edu.stanford.smi.protege.model.KnowledgeBase kb, edu.stanford.smi.protege.util.PropertyList sources, Collection errors)`
`protected void` | `makeOWLFileNameRelativeIfPossible(edu.stanford.smi.protege.model.Project project)`
`void` | `saveKnowledgeBase(edu.stanford.smi.protege.model.KnowledgeBase kb, edu.stanford.smi.protege.util.PropertyList sources, Collection errors)`
`static void` | `setMergingImportMode(boolean isMergingImportMode)`
`static void` | `setOWLFileLanguage(edu.stanford.smi.protege.util.PropertyList sources, String language)`
`static void` | `setOWLFileName(edu.stanford.smi.protege.util.PropertyList sources, String filePath)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JENA_SYNCHRONIZED

    public static final String JENA_SYNCHRONIZED

### OWL_FILE_URI_PROPERTY

    public static final String OWL_FILE_URI_PROPERTY

See Also:
  Constant Field Values

### OWL_FILE_LANGUAGE_PROPERTY

    public static final String OWL_FILE_LANGUAGE_PROPERTY

See Also:
  Constant Field Values

### fileLanguages

    public static final String[] fileLanguages

### useStandalone

    public static boolean useStandalone

  A global flag that is used to select the default .pprj file for new project. If you are using the Protege-OWL API in a stand-alone application, then this should be true (default), but the Protege UI will set it to false.

Constructor Detail

### JenaKnowledgeBaseFactory

    public JenaKnowledgeBaseFactory()

Method Detail

### addRepository

    public static void addRepository(Repository repository)

### clearRepositories

    public static void clearRepositories()

### getRepositories

    public static Collection<Repository> getRepositories()

### createKnowledgeBase

    public edu.stanford.smi.protege.model.KnowledgeBase createKnowledgeBase(Collection errors)

  Specified by:
    `createKnowledgeBase` in interface `edu.stanford.smi.protege.model.KnowledgeBaseFactory`

### createKnowledgeBaseSourcesEditor

    public edu.stanford.smi.protege.model.KnowledgeBaseSourcesEditor createKnowledgeBaseSourcesEditor(String projectURIString,
                                                                                                      edu.stanford.smi.protege.util.PropertyList sources)

  Specified by:
    `createKnowledgeBaseSourcesEditor` in interface `edu.stanford.smi.protege.model.KnowledgeBaseFactory`

### getFileURI

    protected URI getFileURI(edu.stanford.smi.protege.util.PropertyList sources,
                             edu.stanford.smi.protege.model.Project project)

### getExtension

    public static String getExtension(String language)

### getOWLFileLanguage

    protected static String getOWLFileLanguage(edu.stanford.smi.protege.util.PropertyList sources)

### getOWLFilePath

    public static String getOWLFilePath(edu.stanford.smi.protege.util.PropertyList sources)

### getDescription

    public String getDescription()

  Specified by:
    `getDescription` in interface `edu.stanford.smi.protege.model.KnowledgeBaseFactory`

### getProjectFilePath

    public String getProjectFilePath()

  Specified by:
    `getProjectFilePath` in interface `edu.stanford.smi.protege.model.KnowledgeBaseFactory`

### includeKnowledgeBase

    public void includeKnowledgeBase(edu.stanford.smi.protege.model.KnowledgeBase kb,
                                     edu.stanford.smi.protege.util.PropertyList sources,
                                     Collection errors)

  Specified by:
    `includeKnowledgeBase` in interface `edu.stanford.smi.protege.model.KnowledgeBaseFactory`

### isComplete

    public boolean isComplete(edu.stanford.smi.protege.util.PropertyList sources)

  Specified by:
    `isComplete` in interface `edu.stanford.smi.protege.model.KnowledgeBaseFactory`

### loadKnowledgeBase

    public void loadKnowledgeBase(edu.stanford.smi.protege.model.KnowledgeBase kb,
                                  edu.stanford.smi.protege.util.PropertyList sources,
                                  Collection errors)

  Specified by:
    `loadKnowledgeBase` in interface `edu.stanford.smi.protege.model.KnowledgeBaseFactory`

### handleException

    protected void handleException(Throwable t,
                                   JenaOWLModel owlModel,
                                   URI absoluteURI,
                                   Collection<edu.stanford.smi.protege.util.MessageError> errors)

### saveKnowledgeBase

    public void saveKnowledgeBase(edu.stanford.smi.protege.model.KnowledgeBase kb,
                                  edu.stanford.smi.protege.util.PropertyList sources,
                                  Collection errors)

  Specified by:
    `saveKnowledgeBase` in interface `edu.stanford.smi.protege.model.KnowledgeBaseFactory`

### makeOWLFileNameRelativeIfPossible

    protected void makeOWLFileNameRelativeIfPossible(edu.stanford.smi.protege.model.Project project)

### setOWLFileLanguage

    public static void setOWLFileLanguage(edu.stanford.smi.protege.util.PropertyList sources,
                                          String language)

### setOWLFileName

    public static void setOWLFileName(edu.stanford.smi.protege.util.PropertyList sources,
                                      String filePath)

### getOWLFileName

    public static String getOWLFileName(edu.stanford.smi.protege.util.PropertyList sources)

### isMergingImportMode

    public static boolean isMergingImportMode()

### setMergingImportMode

    public static void setMergingImportMode(boolean isMergingImportMode)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.